Bug 231911 - Review Request: jomolhari-fonts - Jomolhari a Bhutanese style font for Tibetan and Dzongkha
Review Request: jomolhari-fonts - Jomolhari a Bhutanese style font for Tibeta...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Package Reviews List
http://www.btinternet.com/~c.fynn/tib...
:
Depends On:
Blocks: 167536
  Show dependency treegraph
 
Reported: 2007-03-12 18:30 EDT by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 08:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2007-03-12 18:30:09 EDT
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts-0.003-1.src.rpm
Description: Jomolhari is an TrueType OpenType Bhutanese style font for Dzongkha and Tibetan text. It is based on Bhutanese manuscript examples, supports the Unicode and the Chinese encoding for Tibetan.
Comment 1 Marcin Garski 2007-03-12 18:39:01 EDT
I'm also thinking to add this to description:
"The font currently is in alpha stage, it include only main character
combinations used for everyday text."

What do you think about it?

FYI: Before you post some comment I suggest you to firstly read bug #218342

Jens I thought you should be CCed :)
Comment 2 Jens Petersen 2007-03-22 22:55:27 EDT
(In reply to comment #1)
> I'm also thinking to add this to description:
> "The font currently is in alpha stage, it include only main character
> combinations used for everyday text."

That sounds ok.  From what Chris Fynn wrote to us, I might write it
as "The font is still in development, but already supports the standard
combinations used in everyday text."
Comment 3 Marcin Garski 2007-03-23 07:25:34 EDT
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts-0.003-2.src.rpm

- Extend description section
Comment 4 Chris Fynn 2007-04-03 14:26:18 EDT
Perhaps I was being a little too modest...

The Jomolhari font also supports all the most frequently occurring combinations
used for transliterating Sanskrit and other foreign words into Tibetan. The font
has already been used to typeset over 22 volumes of traditional Tibetan texts
containing many mantras - and it has be tested with all the combinations
occurring in a substantial Sanskrit-Tibetan dictionary.

I am slowly adding several thousand more combinations - but these are
infrequently occurring and for most purposes unnecessary.

To get some idea of the coverage see:
<http://www.btinternet.com/~c.fynn/tibetan/fonts/jomo-precomp2uni.html> - though
this is not comprehensive.

- Chris 

- Chris     
Comment 5 Jens Petersen 2007-04-03 21:07:24 EDT
Thanks, Chris.  Is this any better:

"Jomolhari is an TrueType OpenType Bhutanese style font for Dzongkha and
Tibetan text. It is based on Bhutanese manuscript examples, supports the
Unicode and the Chinese encoding for Tibetan.
The font supports the standard combinations used in most texts."

Do you want to improve it more?  Should "combinations" be referring to Sankrit?
Comment 6 Jens Petersen 2007-04-03 22:58:28 EDT
Marcin, perhaps the package should be named "Jomolhari-fonts",
ie with a capital like the .zip file?  Personally I prefer lowercase
package names, but according to Packaging/NamingGuidelines the package
name should follow the upstream name.

Again there is the problem of the upstream version: the .zip file is
versioned "alpha003" and the .ttf filename "alpha003-060520".  The
latest version mentioned in the font is "alpha 0.003a".  Anyway in
the circumstances I think your choice of "0.003" is probably the
best one.

I suggest shortening the Summary in the spec file to just:

Summary:	Bhutanese style font for Tibetan and Dzongkha

should it be "Dzongkha and Tibetan"?

Overall the package looks fine to me. :)
Comment 7 Jens Petersen 2007-04-03 23:19:27 EDT
Just noticed there seems to be a newer version at
<http://www.btinternet.com/~c.fynn/tibetan/fonts/download/jomolhari-alpha003c.zip>.
Comment 8 Marcin Garski 2007-04-04 09:32:55 EDT
Jens IMHO package name only refer to name not to the case sensitivity of name,
just look at Packaging/NamingGuidelines -> Case Sensitivity. As I would also
prefer lowercase name so leave it as is.

Can I keep the old Summary, it will be consistent with the TMU package where the
font name is included in Summary?

Chris and Jens, which URL are you suggesting to use:
http://www.btinternet.com/~c.fynn/tibetan/fonts/jomolhari.html
or
http://www.thdl.org/tools/fonts/tibfonts.php?l=uva200607171100
Comment 9 Jens Petersen 2007-04-04 20:11:58 EDT
(In reply to comment #8)
> Jens IMHO package name only refer to name not to the case sensitivity of name,
> just look at Packaging/NamingGuidelines -> Case Sensitivity. As I would also
> prefer lowercase name so leave it as is.

Ok, fine, works for me. :)

> Can I keep the old Summary, it will be consistent with the TMU package where
the font name is included in Summary?

Well it is up to you really.  Personally I don't see so much point
in repeating the package name in the summary, but it is ok if you prefer
to keep it. :)
Comment 11 Jens Petersen 2007-04-04 22:00:57 EDT
(In reply to comment #8)
> Chris and Jens, which URL are you suggesting to use:
> http://www.btinternet.com/~c.fynn/tibetan/fonts/jomolhari.html
> or
> http://www.thdl.org/tools/fonts/tibfonts.php?l=uva200607171100

Chris, any comments?  Probably doesn't matter too much, though Chris webpage
seems more up to date.

Has the license in 0.003c changed to OFL?
Comment 12 Chris Fynn 2007-04-04 22:44:41 EDT
Either URL is OK - the THDL site currently takes a while to get updated as they
are reorganizing everything. 

0.003c was changed to OFL as this seems to work better for fonts. 

- Chris
Comment 13 Marcin Garski 2007-04-05 05:59:52 EDT
rpmlint recognise only SIL Open Font License as valid license tag, OFL is
reported as unknown. Can I leave the short form?
Comment 14 Jens Petersen 2007-04-06 01:33:55 EDT
I think "SIL Open Font License" is fine. :)
The gentium-fonts package uses that too.

http://www.fsf.org/licensing/licenses/index_html#Fonts

Wondering if we ought to include a helloworld shellscript or something
to fulfil the requirements of bundling some software according to the FSF page.
The gentium-fonts package doesn't apparently.
Comment 15 Jens Petersen 2007-04-06 01:44:42 EDT
> http://www.fsf.org/licensing/licenses/index_html#Fonts
> Wondering if we ought to include a helloworld shellscript or something
> to fulfil the requirements of bundling some software according to the FSF page.

http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=OFL-FAQ_web
(question 1.4)

Nevermind, seems I was worrying too much again. :)
Comment 16 Marcin Garski 2007-04-06 15:33:05 EDT
Spec URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fe/jomolhari-fonts-0.003-3.src.rpm

- Update to 0.003c
- Change license from GPL to OFL
Comment 17 Jens Petersen 2007-04-09 22:07:51 EDT
Here is the review

Good:

+ rpmlint outputs are clean
+ package name follows standard font package naming
+ spec file name follows package name
+ meets packaging guidelines
+ SIL OFL 1.0 is a recognised FOSS license
+ license file is included
+ spec file is legible and in English
+ md5sum matches upstream
0d03b98a7184a966815b85e7556e8bcb  jomolhari-alpha003c.zip
+ package builds fine on fc6 i386
+ no build deps
+ no translations
+ no libs
+ owns its directories
+ files list is good
+ clean section
+ consistent macro usage
+ package contains a free truetype font
+ no large documentation
+ no runtime %doc files
+ cleans buildroot before installing
+ package tested to work on upstream testpage

Needs attention:
- need to add "Requires(post)" and "Requires(postun)" for fontconfig
(needed in tibetan-machine-uni-fonts too <blush/> and gentium-fonts...)

Otherwise the package is fine.
Comment 18 Marcin Garski 2007-04-10 07:26:34 EDT
I'm not sure if it's necessary to add this requirements. First in post and
postun there is test for fc-cache availability before executing it "if [ -x
%{_bindir}/fc-cache ]", second in core and extras very few packages has this req.
Comment 19 Marcin Garski 2007-04-10 17:27:05 EDT
New Package CVS Request
=======================
Package Name: jomolhari-fonts
Short Description: Jomolhari a Bhutanese style font for Tibetan and Dzongkha
Owners: mgarski@post.pl
Branches: FC-5 FC-6
InitialCC: 
Comment 20 Jens Petersen 2007-04-10 20:04:45 EDT
(In reply to comment #18)
> I'm not sure if it's necessary to add this requirements. First in post and
> postun there is test for fc-cache availability before executing it "if [ -x
> %{_bindir}/fc-cache ]"

True.

> second in core and extras very few packages has this req.

Perhaps it is a "Red Hat thing": in my machine at least of the installed
fonts:

20 requires fontconfig
14 do not require it (majority of those are not truetype fonts though)

APPROVED :)
Comment 21 Marcin Garski 2007-04-13 08:20:02 EDT
Imported and builded.

Note You need to log in before you can comment on or make changes to this bug.